Bug 84575 - COLOR PICKER: Custom color dialog not functioning correctly when color is white or black
Summary: COLOR PICKER: Custom color dialog not functioning correctly when color is whi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Color-Picker-Dialog
  Show dependency treegraph
 
Reported: 2014-10-02 00:12 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-09-18 20:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-02 00:12:04 UTC
Pulled from bug 37480 comment 17.

4) low: in the color picker, if the color is set to ffffff or 000000 and you click on the vertical color spectrum more than once, it wont refresh the color gradient area.
Comment 1 tommy27 2014-10-03 03:52:06 UTC
confirmed under Win7x64 usig 4.4.0.0.alpha0+
Build ID: 268b9c10c9ff27c74678ace99762f28d58d33012
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-02_23:35:24
Comment 2 Adolfo Jayme Barrientos 2014-12-07 03:43:28 UTC
This bug is not related to the GSoC ’14 color picker drop-down, but rather is about the pre-existing custom color dialog, so it shouldn’t block bug 85184.
Comment 3 QA Administrators 2015-12-20 16:13:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)
   https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 

4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-12-20
Comment 4 QA Administrators 2019-05-14 02:58:53 UTC Comment hidden (obsolete)
Comment 5 MrZoolook 2019-06-15 03:09:01 UTC
Bug still present on Version: 6.2.4.2 (x64) running on Windows. Oddly enough, I hadn't noticed it before.
Comment 6 QA Administrators 2021-06-15 03:41:59 UTC Comment hidden (obsolete)
Comment 7 S.Zosgornik 2021-09-18 20:55:03 UTC
Bug is still present on LO 7.1.2.1 on both GNU/Linux and Windows.

Steps to reproduce:

1. open "Custom color.." dialog e.g. from the toolbar or under Format -> Paragraph -> Area -> Pick
2. choose HSB:Hue on the right side of the dialog and place the selection cursor on the right side of the color window
3. hold-click inside the vertical color slider and and move the selection up and down
 -> color window change automatically with the selection
4. place the selection cursor on the most left side of the color window and hold-click inside the vertical slider to move the selection up and down
-> color window doesn't change automatically with the selection

5. choose HSB:Saturation on the left side of the dialog window
6. place the color selection cursor towards the center of the color window and move the selection inside the vertical slider up and down
-> color window change again with the selection automatically
7. place the selection cursor to the very bottom of the color window and move the selection inside the vertical slider again up and down
-> color window doesn't change according to the vertical slider

It seems to me that the color window change on the given RGB or CMYC values while it actually should change corresponding to the selected HSB value.